<?php
/**
 * Function describe for All2 
 * 
 * @package all2
 */

add_action( 'wp_enqueue_scripts', 'all2_enqueue_styles' );
function all2_enqueue_styles() {

  wp_enqueue_style( 'allingrid-stylesheet', get_template_directory_uri() . '/style.css' );
	wp_enqueue_style( 'all2-child-style', get_stylesheet_uri(), array( 'all2-stylesheet' ) );
}

/**
 * Homepage Columns Widgets 
 */
if ( ! function_exists( 'all2_widgets_init' ) ) :
	/**
	 *	widgets-init action handler. Used to register widgets and register widget areas
	 */
	function all2_widgets_init() {

		/**
		 * Add Homepage Columns Widget areas
		 */
		register_sidebar( array (
								'name'			 =>  __( 'Homepage Column #1', 'all2' ),
								'id' 			 =>  'homepage-column-1-widget-area',
								'description'	 =>  __( 'The Homepage Column #1 widget area', 'all2' ),
								'before_widget'  =>  '',
								'after_widget'	 =>  '',
								'before_title'	 =>  '<h2 class="sidebar-title">',
								'after_title'	 =>  '</h2><div class="sidebar-after-title"></div>',
							) );
							
		register_sidebar( array (
								'name'			 =>  __( 'Homepage Column #2', 'all2' ),
								'id' 			 =>  'homepage-column-2-widget-area',
								'description'	 =>  __( 'The Homepage Column #2 widget area', 'all2' ),
								'before_widget'  =>  '',
								'after_widget'	 =>  '',
								'before_title'	 =>  '<h2 class="sidebar-title">',
								'after_title'	 =>  '</h2><div class="sidebar-after-title"></div>',
							) );

		register_sidebar( array (
								'name'			 =>  __( 'Homepage Column #3', 'all2' ),
								'id' 			 =>  'homepage-column-3-widget-area',
								'description'	 =>  __( 'The Homepage Column #3 widget area', 'all2' ),
								'before_widget'  =>  '',
								'after_widget'	 =>  '',
								'before_title'	 =>  '<h2 class="sidebar-title">',
								'after_title'	 =>  '</h2><div class="sidebar-after-title"></div>',
							) );
	}
endif; // all2_widgets_init
add_action( 'widgets_init', 'all2_widgets_init' );

if ( ! function_exists( 'all2_customize_register' ) ) :
	/**
	 * Register theme settings in the customizer
	 */
	function all2_customize_register( $wp_customize ) {

		// Add display Header email
		$wp_customize->add_setting(
				'all2_display_header_email',
				array(
						'default'           => 0,
						'sanitize_callback' => 'allingrid_sanitize_checkbox',
				)
		);

		$wp_customize->add_control( new WP_Customize_Control( $wp_customize,
							'all2_display_header_email',
								array(
									'label'          => __( 'Display Header Email', 'all2' ),
									'section'        => 'allingrid_header_and_footer_section',
									'settings'       => 'all2_display_header_email',
									'type'           => 'checkbox',
								)
							)
		);

		// Add display Header phone
		$wp_customize->add_setting(
				'all2_display_header_phone',
				array(
						'default'           => 0,
						'sanitize_callback' => 'allingrid_sanitize_checkbox',
				)
		);

		$wp_customize->add_control( new WP_Customize_Control( $wp_customize,
							'all2_display_header_phone',
								array(
									'label'          => __( 'Display Header Phone', 'all2' ),
									'section'        => 'allingrid_header_and_footer_section',
									'settings'       => 'all2_display_header_phone',
									'type'           => 'checkbox',
								)
							)
		);

		// Add display Header social icons
		$wp_customize->add_setting(
				'all2_display_header_socialicons',
				array(
						'default'           => 0,
						'sanitize_callback' => 'allingrid_sanitize_checkbox',
				)
		);

		$wp_customize->add_control( new WP_Customize_Control( $wp_customize,
							'all2_display_header_socialicons',
								array(
									'label'          => __( 'Display Header Social Icons', 'all2' ),
									'section'        => 'allingrid_header_and_footer_section',
									'settings'       => 'all2_display_header_socialicons',
									'type'           => 'checkbox',
								)
							)
		);
	}
endif; // End of all2_customize_register

add_action('customize_register', 'all2_customize_register');